gdcm::Object Class Reference

Object. More...

`#include <gdcmObject.h>`

Inheritance diagram for gdcm::Object:
[legend]

## Public Member Functions

| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assignment operator.
virtual | ~Object ()
void | operator= (const Object &)
virtual void | Print (std::ostream &) const

## Protected Member Functions

void | Register ()
void | UnRegister ()

## Friends

std::ostream & | operator<< (std::ostream &os, const Object &obj)
template<class ObjectType>
class | SmartPointer

## Detailed Description

Object.

Note
  main superclass for object that want to use SmartPointer invasive ref counting system

See also
  SmartPointer

## Constructor & Destructor Documentation

## Object() [1/2]

gdcm::Object::Object | ( |  | ) |

inline

Referenced by gdcm::LookupTable::LookupTable(), Object(), operator<<, operator=(), and SmartPointer.

## ~Object()

virtual gdcm::Object::~Object | ( |  | ) |

inline virtual

## Object() [2/2]

gdcm::Object::Object | ( | const Object & |  | ) |

inline

Special requirement for copy/cstor, assignment operator.

References Object().

## Member Function Documentation

## operator=()

void gdcm::Object::operator= | ( | const Object & |  | ) |

inline

References Object().

## Print()

virtual void gdcm::Object::Print | ( | std::ostream & |  | ) | const

inline virtual

Reimplemented in gdcm::BaseQuery, gdcm::Bitmap, gdcm::ByteValue, gdcm::Curve, gdcm::Image, gdcm::LookupTable, gdcm::Overlay, gdcm::Pixmap, gdcm::Scanner2, gdcm::Scanner, gdcm::SegmentedPaletteColorLookupTable, gdcm::SequenceOfFragments, gdcm::SequenceOfItems, gdcm::StrictScanner2, and gdcm::StrictScanner.

Examples
  ReadAndDumpDICOMDIR.cxx.

Referenced by gdcm::DataElement::operator<<, and operator<<.

## Register()

void gdcm::Object::Register | ( |  | ) |

inline protected

## UnRegister()

void gdcm::Object::UnRegister | ( |  | ) |

inline protected

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const Object & | obj )

friend

References Object(), and Print().

Referenced by SmartPointer.

## SmartPointer

template<class ObjectType>

friend class SmartPointer

friend

References Object(), operator<<, and SmartPointer.

Referenced by gdcm::Segment::AddSurface(), gdcm::Segment::GetSurface(), gdcm::Bitmap::SetLUT(), gdcm::Surface::SetMeshPrimitive(), and SmartPointer.

The documentation for this class was generated from the following file:

- gdcmObject.h